Page MenuHomePhabricator

Replace Varnish backends with ATS on cache upload nodes
Closed, ResolvedPublic

Description

Upper-level task.

Details

Related Gerrit Patches:

Event Timeline

Restricted Application added a project: Operations. · View Herald TranscriptJun 25 2019, 11:01 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
ema triaged this task as Medium priority.Jun 26 2019, 5:34 AM
ema moved this task from Triage to Caching on the Traffic board.

Change 520872 had a related patch set uploaded (by Ema; owner: Ema):
[operations/puppet@production] cache_upload: remove varnish from frontend::backend_services

https://gerrit.wikimedia.org/r/520872

Change 520872 merged by Ema:
[operations/puppet@production] cache_upload: remove varnish from frontend::backend_services

https://gerrit.wikimedia.org/r/520872

ema closed this task as Resolved.Jul 8 2019, 9:41 AM
ema claimed this task.
ema added a subscriber: ema.

All cache_upload nodes are now using ATS instead of Varnish for on-disk caching. Closing.

Change 521481 had a related patch set uploaded (by Ema; owner: Ema):
[operations/puppet@production] cache: refresh VTC tests after cache_upload conversion

https://gerrit.wikimedia.org/r/521481

Change 521481 merged by Ema:
[operations/puppet@production] cache: refresh VTC tests after cache_upload conversion

https://gerrit.wikimedia.org/r/521481

Change 526384 had a related patch set uploaded (by Ema; owner: Ema):
[operations/puppet@production] vcl: remove backend-specific code

https://gerrit.wikimedia.org/r/526384

Change 526384 merged by Ema:
[operations/puppet@production] vcl: remove upload-specific backend code

https://gerrit.wikimedia.org/r/526384